> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/renderings/resolve.md).

# Resolve

Resolves rendered pose or animation for given avatar & rendering id.

### GET /avatars/{AVATAR\_ID}/renderings/{RENDERING\_ID}

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/renderings/{RENDERING_ID}"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/5723980430835712/renderings/5739650719678464"
```

{% endtab %}
{% endtabs %}

#### Response

On success the endpoint returns HTTP 200 OK as well as a JSON body containing rendered animation or pose.

Make sure to query processing status first for newly created renderings. See [Avatars > Renderings > Resolve Status](/api/avatars/renderings/resolve-status.md) for details.

The actual rendered pose or animation is stored as Attachment. Hence returned JSON object includes a reference to an attachment. Embedded URL will automatically redirect to the download location of rendered pose (image/png) or animation (image/gif). Alternatively you can explicitly resolve the attachment's location using returned `attachment.id`. See [Avatars > Attachments](/api/avatars/attachments.md) for details.

{% tabs %}
{% tab title="Schema" %}

```javascript
{
  "id": int64,
  "random": int32,
  "type": "string",
  "pose": "string",
  "animation": "string",
  "attachment": {
    "id": int64,
    "width": int32,
    "height": int32,
    "channels": int32,
    "url": "string"
  }
}
```

{% endtab %}

{% tab title="Example" %}

```javascript
{
  "id": 5739650719678464,
  "random": 0,
  "type": "pose",
  "pose": "kiss",
  "animation": "",
  "attachment": {
    "id": 5111294722572288,
    "width": 1024,
    "height": 1024,
    "channels": 4,
    "url": "/v0.5/avatars/5723980430835712/attachments/5111294722572288?redirect=true"
  }
}
```

{% endtab %}
{% endtabs %}
